import javax.swing.*;

public class radiation_of_sunTestCSP_AP
{
public static void main(String arg[])
{
	int day=21; 
	int mounth=8; 
	//double standartTime=19*60.0; 
	double enlem=38.4; 
	double boylam=-27.25; 
	double ssboylamı=-45.0;
	double yukseklik=0.01; 
	int iklim=2;  // yarı tropikal
	double yatay_egim=0; //yüzey eğim açısı
	double azimut=90; //yüzey azimut açısı - Sistem Kuzey-güney ekseninde sabit tutuluyor.
	double ro=0.2;  //yansıma oranı
	
		  double xx[] = new double[97] ;
          double yy[] = new double[97] ;
         double x0;	
          
         
	
          for(int i=0; i<=24; i++)
			{
				x0=i*60;
			radiation_of_sun rr=new radiation_of_sun(day,mounth,x0, enlem, boylam,ssboylamı, yukseklik, iklim);
				yatay_egim=rr.deger()[2];
				double t=rr.angles_surface(yatay_egim,azimut,ro)[2];
				
				
				
	  		xx[i]=i;
      		yy[i]=t;
 			}
 			
 			Plot.data(xx,yy);


		for(int j=0; j<=24; j++)
			{
				
				System.out.println(" "+xx[j]+" "+yy[j]+" \n");
 			}

}
}